org.apache.lucene.analysis.synonym

## Class WordnetSynonymParser

- java.lang.Object
- - org.apache.lucene.analysis.synonym.SynonymMap.Builder
  - - org.apache.lucene.analysis.synonym.SynonymMap.Parser
    - - org.apache.lucene.analysis.synonym.WordnetSynonymParser

-     public class WordnetSynonymParser
      extends SynonymMap.Parser

  Parser for wordnet prolog format

  See http://wordnet.princeton.edu/man/prologdb.5WN.html for a description of the format.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WordnetSynonymParser(boolean dedup, boolean expand, Analyzer analyzer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parse(Reader in)` Parse the given input, adding synonyms to the inherited `SynonymMap.Builder`.

    - ### Methods inherited from class org.apache.lucene.analysis.synonym.SynonymMap.Parser

      `analyze`

    - ### Methods inherited from class org.apache.lucene.analysis.synonym.SynonymMap.Builder

      `add, build, join`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WordnetSynonymParser

          public WordnetSynonymParser(boolean dedup,
                                      boolean expand,
                                      Analyzer analyzer)

  - ### Method Detail

    - #### parse

          public void parse(Reader in)
                     throws IOException,
                            ParseException

      Description copied from class: `SynonymMap.Parser`
      Parse the given input, adding synonyms to the inherited `SynonymMap.Builder`.
      Specified by:
        `parse` in class `SynonymMap.Parser`
      Parameters:
        `in` - The input to parse
      Throws:
        `IOException`
        `ParseException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.